CVE Vulnerabilities

CVE-2022-2208

NULL Pointer Dereference

Published: Jun 27, 2022 | Modified: Nov 07, 2023
CVSS 3.x
5.5
MEDIUM
Source:
NVD
CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H
CVSS 2.x
4.3 MEDIUM
AV:N/AC:M/Au:N/C:N/I:N/A:P
RedHat/V2
RedHat/V3
3.3 LOW
CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L
Ubuntu
LOW

NULL Pointer Dereference in GitHub repository vim/vim prior to 8.2.5163.

Weakness

A NULL pointer dereference occurs when the application dereferences a pointer that it expects to be valid, but is NULL, typically causing a crash or exit.

Affected Software

Name Vendor Start Version End Version
Vim Vim * 8.2.5163 (excluding)
Vim Ubuntu bionic *
Vim Ubuntu esm-infra/bionic *
Vim Ubuntu esm-infra/xenial *
Vim Ubuntu focal *
Vim Ubuntu impish *
Vim Ubuntu jammy *
Vim Ubuntu trusty *
Vim Ubuntu trusty/esm *
Vim Ubuntu upstream *
Vim Ubuntu xenial *

Potential Mitigations

References